Name:           compiz-bcop
Version:        0.5.2
Release:        0.1%{?dist}
Summary:        Compiz option code generator

Group:          Development/Tools
License:        GPL
URL:            http://www.opencompositing.org/

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# compiz is not available on these arches
ExcludeArch:    s390 s390x ppc64
BuildArch:      noarch
BuildRequires:  libxslt-devel
Requires:       pkgconfig

%description
Bcop is a tool to autogenerate code for working with options in compiz plugins;
this is required to build some plugins, and gives a great help to developers

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README VERSION
%{_bindir}/bcop
%{_datadir}/bcop/bcop.xslt
%{_datadir}/pkgconfig/bcop.pc



%changelog
* Sun Sep 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

* Sun Jul 11 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.1.3-0.6.20070711git
- 20070703git
- changed Group to Development/Tools

* Sun Jul 03 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.1.3-0.4.20070703git
- 20070703git

* Sun Jun 30 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.1.3-0.3.20070630git
- removed enable-libsrvg and enable-kde from configure macro call

* Sun Jun 25 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.1.3-0.1.20070625git
- Fixed release numbering to follow Fedora guidelines

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.1.3-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs
